Bug 155005 - maintainer-update of mail/mutt-devel
Summary: maintainer-update of mail/mutt-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 14:40 UTC by Udo.Schweigert
Modified: 2011-03-04 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (845 bytes, patch)
2011-02-24 14:40 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2011-02-24 14:40:03 UTC
Maintainer update of mail/mutt-devel:

	- Add documentation of WITH_MUTT_TRASH_PATCH.
	- Add MUTT_TRASH_PATCH to config options.
Comment 1 Martin Wilke freebsd_committer 2011-02-24 15:09:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Udo.Schweigert 2011-03-03 15:08:21 UTC
Here is an update for this fixing also a missing dependency to the ncurses
port.

==

Maintainer update of mail/mutt-devel:

 	- Add documentation of WITH_MUTT_TRASH_PATCH.
 	- Add MUTT_TRASH_PATCH to config options.
	- Add dependency to devel/ncurses if devel/ncurses is installed.

diff -ru  /usr/ports/mail/mutt-devel/Makefile ./Makefile
--- /usr/ports/mail/mutt-devel/Makefile	2010-12-05 06:42:07.000000000 +0100
+++ ./Makefile	2011-03-03 15:52:35.000000000 +0100
@@ -105,6 +105,10 @@
 # If you want to enable the parent/child match support define:
 #  WITH_MUTT_PARENT_CHILD_MATCH_PATCH
 #
+# If you want to be able to use a trash folder for deleted emails (especially useful
+# for example for googlemail) define:
+#  WITH_MUTT_TRASH_PATCH
+#
 # If you want to enable the internal SMTP relay support define:
 #  WITH_MUTT_SMTP
 #
@@ -199,6 +203,7 @@
 		MUTT_SLANG			"Enable slang support"		off \
 		MUTT_SMIME_OUTLOOK_COMPAT	"SMIME outlook compatible"	on \
 		MUTT_SMTP			"Enable SMTP relay support"	off \
+		MUTT_TRASH_PATCH		"Enable trash folder support"	off \
 		MUTT_XML			"Use XML tools for documentation"		on 
 .endif
 
@@ -281,7 +286,7 @@
 .if defined(WITH_MUTT_NCURSES) && !defined(MUTT_USES_SLANG)
 MUTT_USES_NCURSES=	yes
 .endif
-.if !defined(MUTT_USES_SLANG) && !defined(WITHOUT_MUTT_SLANG) && !defined(MUTT_USES_NCURSES)
+.if !defined(MUTT_USES_SLANG) && !defined(WITHOUT_MUTT_SLANG)
 MUTT_USES_NCURSES=	yes
 .endif
 .if defined(WITHOUT_MUTT_SGMLFORMAT)
@@ -302,8 +307,8 @@
 .if defined(NOPORTDOCS)
 XML_USED=	no
 .endif
-.if defined(MUTT_USES_NCURSES)
 .if defined(WITH_MUTT_NCURSES_PORT) || exists(${LOCALBASE}/lib/libncurses.a)
+.if !defined(MUTT_USES_SLANG)
 MUTT_USES_NCURSES_PORT=	yes
 .endif
 .endif
Comment 3 Martin Wilke freebsd_committer 2011-03-04 14:11:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2011-03-04 14:12:33 UTC
miwi        2011-03-04 14:11:43 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile 
  Log:
  - Add documentation of WITH_MUTT_TRASH_PATCH.
  - Add MUTT_TRASH_PATCH to config options.
  - Add dependency to devel/ncurses if devel/ncurses is installed.
  
  PR:             155005
  Submitted by:   Udo Schweigert <udo.schweigert@siemens.com> (maintainer)
  
  Revision  Changes    Path
  1.318     +8 -3      ports/mail/mutt-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"